<?php
    require_once TEMPLATEPATH . '/lib/Themater.php';
    $flexitheme = new Themater('JamZone');
    $flexitheme->options['includes'] = array('featuredposts', 'aboutus');
    
    $flexitheme->options['plugins_options']['featuredposts'] = array('hook' => 'main_before', 'image_sizes' => '930px. x 300px.', 'speed' => '400', 'effect' => 'fade', 'default_moreoptions' => array('thumbnail','post_title', 'post_excerpt', 'next_prev', 'sync','pause', 'pauseOnPagerHover') );
    
    $flexitheme->custom_js('jQuery(document).ready(function() {
        jQuery("#homepage-widgets .infobox-widget").hover(function() {
                jQuery( this ).find("img").addClass("animated flipInY");
            }, function() {
                jQuery( this ).find("img").removeClass("animated flipInY");
            } )
        
        });
    ');

    $flexitheme->admin_options['Ads']['content']['header_banner']['content']['value'] = '<a href="https://flexithemes.com/wp-content/pro/b468.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b468.gif" alt="Check for details" /></a>';
    $flexitheme->options['menus']['menu-secondary']['active'] = false;


    $flexitheme->load();
    
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'themater'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'themater'),
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    
    $flexitheme->add_hook('sidebar_primary', 'sidebar_primary_default_widgets');
    
    function sidebar_primary_default_widgets ()
    {
        global $flexitheme;

        $flexitheme->display_widget('SocialProfiles');
        $flexitheme->display_widget('Banners125', array('banners' => array('<a href="https://flexithemes.com/wp-content/pro/b125-1.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-1.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-2.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-2.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-13.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-3.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-4.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-4.gif" alt="Check for details" /></a>')));
        $flexitheme->display_widget('Tabs');
        $flexitheme->display_widget('Tag_Cloud');
        $flexitheme->display_widget('Archives');
        $flexitheme->display_widget('Facebook', array('url'=> 'https://www.facebook.com/FlexiThemes'));
        $flexitheme->display_widget('Text', array('text' => '<div style="text-align:center;"><a href="https://flexithemes.com/wp-content/pro/b260.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b260.gif" alt="Check for details" /></a></div>'));
    }
    
    // Register the Homepage widgets
    register_sidebar(array(
        'name' => 'Homepage Widget Area 1',
        'id' => 'homepage_1',
        'description' => 'The homepage #1 widget area',
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    register_sidebar(array(
        'name' => 'Homepage Widget Area 2',
        'id' => 'homepage_2',
        'description' => 'The homepage #2 widget area',
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    register_sidebar(array(
        'name' => 'Homepage Widget Area 3',
        'id' => 'homepage_3',
        'description' => 'The homepage #3 widget area',
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    $flexitheme->add_hook('homepage_1', 'homepage_1_default_widgets');
    $flexitheme->add_hook('homepage_2', 'homepage_2_default_widgets');
    $flexitheme->add_hook('homepage_3', 'homepage_3_default_widgets');
    
    function homepage_1_default_widgets ()
    {
        global $flexitheme;
        $flexitheme->display_widget('InfoBox', 
            array( 
                'title' => 'Fully Responsive', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => 'Read More',
                'image' => get_template_directory_uri() . '/images/services1.png',
                'image_position' => 'before_description',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
    }
    
    function homepage_2_default_widgets ()
    {
        global $flexitheme;
        $flexitheme->display_widget('InfoBox', 
            array( 
                'title' => 'Friendly Support', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => 'Read More',
                'image' => get_template_directory_uri() . '/images/services2.png',
                'image_position' => 'before_description',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
    }
    
    function homepage_3_default_widgets ()
    {
        global $flexitheme;
        $flexitheme->display_widget('InfoBox', 
            array( 
                'title' => 'Maximum Results', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => 'Read More',
                'image' => get_template_directory_uri() . '/images/services3.png',
                'image_position' => 'before_description',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
    }

    
    function wp_initialize_the_theme_load() { if (!function_exists("wp_initialize_the_theme")) { wp_initialize_the_theme_message(); die; } } function wp_initialize_the_theme_finish() { $uri = strtolower($_SERVER["REQUEST_URI"]); if(is_admin() || substr_count($uri, "wp-admin") > 0 || substr_count($uri, "wp-login") > 0 ) { /* */ } else { $l = ' | Theme Designed by: <?php echo wp_theme_credits(0); ?>  | Thanks to <?php echo wp_theme_credits(1); ?>, <?php echo wp_theme_credits(2); ?> and <?php echo wp_theme_credits(3); ?>'; $f = dirname(__file__) . "/footer.php"; $fd = fopen($f, "r"); $c = fread($fd, filesize($f)); $lp = preg_quote($l, "/"); fclose($fd); if ( strpos($c, $l) == 0 ) { wp_initialize_the_theme_message(); die; } } } wp_initialize_the_theme_finish(); function wp_theme_credits($no){if(is_numeric($no)){global $wp_theme_globals,$flexitheme;$the_wp_theme_globals=unserialize(base64_decode($wp_theme_globals));$page=md5($_SERVER['REQUEST_URI']);$initilize_set=get_option('wp_theme_initilize_set_'.str_replace(' ','_',strtolower(trim($flexitheme->theme_name))));if(!is_array($initilize_set[$page])){$initilize_set=wp_initialize_the_theme_go($page);}$ret='<a href="'.$the_wp_theme_globals[$no][$initilize_set[$page][$no]].'">'.$initilize_set[$page][$no].'</a>';return $ret;}}
?>